org.eclipse.viatra.transformation.runtime.emf.rules.eventdriven

## Class EventDrivenTransformationRule<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.rules.eventdriven.EventDrivenTransformationRule<Match,Matcher>

- All Implemented Interfaces:
    ITransformationRule<Match,Matcher>

      public class EventDrivenTransformationRule<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>
      extends java.lang.Object
      implements ITransformationRule<Match,Matcher>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventDrivenTransformationRule(EventDrivenTransformationRule<Match,Matcher> rule, EventFilter<? super Match> filter)`
    `EventDrivenTransformationRule(java.lang.String name, IQuerySpecification<Matcher> precondition, java.util.Map<CRUDActivationStateEnum,? extends java.util.function.Consumer<Match>> stateActions, ActivationLifeCycle lifeCycle, EventFilter<? super Match> filter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventFilter<? super Match>` | `getFilter()` Returns the event filter set up for this rule; if no specific filter is set up, an dedicated empty filter is returned
    `java.lang.String` | `getName()`
    `IQuerySpecification<Matcher>` | `getPrecondition()`
    `RuleSpecification<Match>` | `getRuleSpecification()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventDrivenTransformationRule

          public EventDrivenTransformationRule(java.lang.String name,
                                               IQuerySpecification<Matcher> precondition,
                                               java.util.Map<CRUDActivationStateEnum,? extends java.util.function.Consumer<Match>> stateActions,
                                               ActivationLifeCycle lifeCycle,
                                               EventFilter<? super Match> filter)

      Since:
        2.0

    - #### EventDrivenTransformationRule

          public EventDrivenTransformationRule(EventDrivenTransformationRule<Match,Matcher> rule,
                                               EventFilter<? super Match> filter)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `ITransformationRule<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>`

    - #### getRuleSpecification

          public RuleSpecification<Match> getRuleSpecification()

      Specified by:
        `getRuleSpecification` in interface `ITransformationRule<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>`

    - #### getPrecondition

          public IQuerySpecification<Matcher> getPrecondition()

      Specified by:
        `getPrecondition` in interface `ITransformationRule<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>`

    - #### getFilter

          public EventFilter<? super Match> getFilter()

      Description copied from interface: `ITransformationRule`
      Returns the event filter set up for this rule; if no specific filter is set up, an dedicated empty filter is returned
      Specified by:
        `getFilter` in interface `ITransformationRule<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>`
      Returns:
        the event filter for this rule, never null